com.dlsc.flexgantt.model.bookmarks

## Interface IBookmarkModel

- All Known Implementing Classes:
    DefaultBookmarkModel

      public interface IBookmarkModel

  A model used for implementing a bookmark concept within the Gantt chart. When a bookmark model has been assigned to the Gantt chart then the Gantt chart will display a navigation control in the upper-right corner of the layer container. This control allows the user to select bookmarks with a single click.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `LayerContainer.setBookmarkModel(IBookmarkModel)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBookmark(Bookmark bookmark)` Adds a bookmark to the model.
    `void` | `addBookmarkModelListener(IBookmarkModelListener l)` Adds a listener to the bookmark model.
    `Bookmark` | `getBookmark(int index)` Returns the bookmark for the given index.
    `int` | `getBookmarkCount()` Returns the total number of bookmarks added to the model.
    `void` | `removeBookmark(Bookmark bookmark)` Removes a bookmark from the model.
    `void` | `removeBookmarkModelListener(IBookmarkModelListener l)` Removes a listener from the bookmark model.

- - ### Method Detail

    - #### getBookmarkCount

          int getBookmarkCount()

      Returns the total number of bookmarks added to the model.
      Returns:
        the total number of bookmarks in the model
      Since:
        1.0
      See Also:
        `getBookmark(int)`

    - #### getBookmark

          Bookmark getBookmark(int index)

      Returns the bookmark for the given index.
      Parameters:
        `index` -
      Returns:
        a bookmark for the given index
      Since:
        1.0
      See Also:
        `getBookmarkCount()`

    - #### addBookmark

          void addBookmark(Bookmark bookmark)

      Adds a bookmark to the model.
      Parameters:
        `bookmark` - the bookmark to add
      Since:
        1.0

    - #### removeBookmark

          void removeBookmark(Bookmark bookmark)

      Removes a bookmark from the model.
      Parameters:
        `bookmark` - the bookmark to remove
      Since:
        1.0

    - #### addBookmarkModelListener

          void addBookmarkModelListener(IBookmarkModelListener l)

      Adds a listener to the bookmark model.
      Parameters:
        `l` - the listener to add to the model
      Since:
        1.0

    - #### removeBookmarkModelListener

          void removeBookmarkModelListener(IBookmarkModelListener l)

      Removes a listener from the bookmark model.
      Parameters:
        `l` - the listener to remove from the model
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.